Bug 169138 - net/dhcp6 rc.d script should run BEFORE: NETWORKING
Summary: net/dhcp6 rc.d script should run BEFORE: NETWORKING
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-16 06:20 UTC by Rui Paulo
Modified: 2013-04-29 12:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rui Paulo freebsd_committer 2012-06-16 06:20:12 UTC
dhcp6c and dhcp6s are invoked too late in the boot process. They should run during the networking phase. They are being run before login.

Fix: 

Just replace:
# BEFORE: LOGIN
with:
# BEFORE: NETWORKING
Comment 1 Edwin Groothuis freebsd_committer 2012-06-16 17:20:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rpaulo

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-03-10 02:42:10 UTC
Responsible Changed
From-To: rpaulo->freebsd-ports-bugs

Submitter is not ports committer.
Comment 3 Stefan Walter freebsd_committer 2013-04-29 12:38:57 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2013-04-29 12:38:57 UTC
Author: stefan
Date: Mon Apr 29 11:38:49 2013
New Revision: 316808
URL: http://svnweb.freebsd.org/changeset/ports/316808

Log:
  Run rc.d scripts before NETWORKING, not LOGIN, since that is too late.
  
  PR:		169138
  Submitted by:	rpaulo

Modified:
  head/net/dhcp6/files/dhcp6c.in
  head/net/dhcp6/files/dhcp6s.in

Modified: head/net/dhcp6/files/dhcp6c.in
==============================================================================
--- head/net/dhcp6/files/dhcp6c.in	Mon Apr 29 11:31:38 2013	(r316807)
+++ head/net/dhcp6/files/dhcp6c.in	Mon Apr 29 11:38:49 2013	(r316808)
@@ -5,7 +5,7 @@
 
 # PROVIDE: dhcp6c
 # REQUIRE: DAEMON
-# BEFORE: LOGIN
+# BEFORE: NETWORKING
 # KEYWORD: shutdown
 
 # Add the following lines to

Modified: head/net/dhcp6/files/dhcp6s.in
==============================================================================
--- head/net/dhcp6/files/dhcp6s.in	Mon Apr 29 11:31:38 2013	(r316807)
+++ head/net/dhcp6/files/dhcp6s.in	Mon Apr 29 11:38:49 2013	(r316808)
@@ -5,7 +5,7 @@
 
 # PROVIDE: dhcp6s
 # REQUIRE: DAEMON
-# BEFORE: LOGIN
+# BEFORE: NETWORKING
 # KEYWORD: shutdown
 
 # Add the following lines to
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"